Page MenuHomePhabricator

Prevent indexing of User: namespace on ukwiki
Closed, ResolvedPublic

Description

Community of Ukrainian Wikipedia has voted to prevent indexing of the User: namespace by search engines.

Of course, this change should not apply to pages that force indexing by using the __INDEX__ keyword.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterPrevent indexing of User: namespace on ukwiki

Event Timeline

Pidlisnuk raised the priority of this task from to Needs Triage.
Pidlisnuk updated the task description. (Show Details)
Pidlisnuk added a project: MediaWiki-Sites.
Pidlisnuk added a subscriber: Pidlisnuk.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2015, 10:05 PM
Pidlisnuk updated the task description. (Show Details)May 12 2015, 10:14 PM
Pidlisnuk set Security to None.
NickK added a subscriber: NickK.May 12 2015, 11:45 PM

The original proposal was just about User namespace, not about User talk.

Yury_Bulka renamed this task from Prevent indexing two namespaces. to Prevent indexing of User: namespace.May 13 2015, 12:06 AM
Yury_Bulka updated the task description. (Show Details)
Yury_Bulka updated the task description. (Show Details)
Legoktm updated the task description. (Show Details)May 13 2015, 12:08 AM
Legoktm edited projects, added Wikimedia-Site-requests; removed MediaWiki-Sites.
Betacommand renamed this task from Prevent indexing of User: namespace to Prevent indexing of User: namespace on ukwiki.May 13 2015, 12:49 AM
Glaisher triaged this task as Medium priority.May 13 2015, 4:23 AM
Glaisher added a subscriber: Glaisher.
Ahonc added a subscriber: Ahonc.May 13 2015, 12:24 PM

Change 210680 had a related patch set uploaded (by Glaisher):
Prevent indexing of User: namespace on ukwiki

https://gerrit.wikimedia.org/r/210680

I reviewed the discussion on uk.wikipedia. Indeed, the discussion were opened for the User: namespace only, with one of the main motivation being to avoid spam and articles created in user space are taken as real articles by visitors when searching them, and so protecting the credibility of Wikipedia.

This rationale doesn't englobe User talk: namespace, so @NickK and @Yury_Bulka intervention is right.

@Pidlisnuk What you could do is to open a NEW discussion for the User talk: namespace.

Change 210680 merged by jenkins-bot:
Prevent indexing of User: namespace on ukwiki

https://gerrit.wikimedia.org/r/210680

Mjbmr moved this task from To deploy to Done on the Wikimedia-Site-requests board.May 28 2015, 3:43 PM
Mjbmr closed this task as Resolved.May 28 2015, 3:45 PM
Mjbmr removed a project: Patch-For-Review.